### Hierarchy

- Node

## Index

### Methods

- accept
- getKind
- getLoc

## Methods

### accept

- accept(_context: Context, _visitor: Visitor): void

- - Defined in src/ast/node.ts:7

  #### Parameters

  - ##### _context: Context

  - ##### _visitor: Visitor

  #### Returns void

### getKind

- getKind(): string

- - Defined in src/ast/node.ts:5

  #### Returns string

### getLoc

- getLoc(): undefined | Location

- - Defined in src/ast/node.ts:6

  #### Returns undefined | Location

Generated using TypeDoc